<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add New Role</strong></h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]='addNewRole' (ngSubmit)="saveNewRole()" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Role Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" placeholder="Role Name" name="role_name" class="form-control" matInput
                formControlName="role_name" required>
            </div>
          </div>
          <div class="form-group" *ngIf="disabledCompany">
              <label class="col-sm-2 control-label">Company
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <input type="text " class="form-control" matInput formControlName="company" [matAutocomplete]="auto"
                  placeholder="Select Company" [ngModel]="currentCompany">
                <mat-autocomplete #auto="matAutocomplete">
                  <mat-option *ngFor="let item of companyData" [value]="item.company_name"
                    (onSelectionChange)="OnSelectRole(item._id)">
                    {{ item.company_name }}
                  </mat-option>
                </mat-autocomplete>
              </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <input type="submit" [disabled]="addNewRole.status === 'INVALID' || showLoader" class="btn btn-primary"
                value="Save">
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/role-management/role-list']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>